<div align="center">

<h1> WisEcon </h1>

[![Python package](https://img.shields.io/pypi/v/wisecon)](https://pypi.org/project/wisecon/)
[![Python](https://img.shields.io/pypi/pyversions/wisecon.svg)](https://pypi.python.org/pypi/wisecon/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/wisecon)](https://pypi.org/project/wisecon/)
[![GitHub star chart](https://img.shields.io/github/stars/wisecon-llm/wisecon?style=flat-square)](https://star-history.com/#wisecon-llm/wisecon)
[![GitHub Forks](https://img.shields.io/github/forks/wisecon-llm/wisecon.svg)](https://star-history.com/#wisecon-llm/wisecon)
[![Doc](https://img.shields.io/badge/Doc-online-green)](https://wisecon-llm.github.io/wisecon-doc/)
[![Issue](https://img.shields.io/github/issues/wisecon-llm/wisecon)](https://github.com/CaoChensy/wisecon/issues/new/choose)
[![Discussions](https://img.shields.io/github/discussions/wisecon-llm/wisecon)](https://github.com/CaoChensy/wisecon/issues/new/choose)
[![CONTRIBUTING](https://img.shields.io/badge/Contributing-8A2BE2)](https://github.com/CaoChensy/wisecon/blob/main/CONTRIBUTING.md)
[![License: MIT](https://img.shields.io/github/license/wisecon-llm/wisecon)](https://github.com/CaoChensy/wisecon/blob/main/LICENSE)

</div>

## WisEcon是什么?

WisEcon 是一款专注于金融市场的量化分析工具，旨在为投资者、研究人员和金融分析师提供全面的数据分析和决策支持。以下是其主要特点和功能：

1. **数据支持** WisEcon 提供多种类型的金融数据，包括：

   - 股票数据：实时和历史股票价格、交易量、财务报表等。
   - 基金数据：各类基金的净值、收益率、风险指标等。
   - 期货数据：期货合约的价格、成交量、持仓量等。
   - 宏观经济数据：包括GDP、通货膨胀率、失业率等关键经济指标。

2. **大模型支持** WisEcon 集成了 ZLAI-Agent 工具链，这是一种强大的人工智能驱动的分析工具。 
   - 通过机器学习和自然语言处理，ZLAI-Agent 可以有效地分析海量数据，发掘潜在的投资机会，并提供智能化的建议。

3. **功能特点**
   - 数据可视化：直观的图表和仪表盘，帮助用户快速理解数据趋势和模式。
   - 策略回测：用户可以根据历史数据测试自己的交易策略，以评估其有效性。
   - 风险管理：提供多种风险评估工具，帮助用户识别和管理投资风险。
   - 实时监控：用户可以设置警报，实时监控市场变化，及时作出决策。

4. **应用场景**
   - 个人投资者：帮助个人投资者制定投资策略，提高投资回报。
   - 机构投资者：为机构提供深入的市场分析和预测，支持决策过程。
   - 学术研究：为金融研究人员提供丰富的数据和分析工具，支持学术研究。

[详细文档](https://caochensy.github.io/wisecon/)

-----

## 如何安装？

```bash
pip install wisecon
```

[Quick Start](https://caochensy.github.io/wisecon/)

-----

<div align="center">

> Wechat

<center>
<img src="https://raw.githubusercontent.com/zlai-llm/wisecon/master/assets/wechat.jpg" width="160px">
<h5>微信群</h5>
</center>

</div>

-----
@2024/03/27
